affinity: {}
cronjob:
  enabled: false
  lifecycle: {}
  resources: {}
  securityContext: {}
deploymentAnnotations: {}
deploymentLabels: {}
externalDatabase:
  database: nextcloud
  enabled: true
  existingSecret:
    enabled: false
  host: cluster-nextcloud-postgresql
  password: SecurePasswordGoesHere
  type: postgresql
  user: nextcloud
fullnameOverride: ''
hpa:
  cputhreshold: 60
  enabled: false
  maxPods: 10
  minPods: 1
image:
  pullPolicy: IfNotPresent
  repository: nextcloud
ingress:
  annotations: {}
  enabled: false
  labels: {}
  path: /
  pathType: Prefix
internalDatabase:
  enabled: false
  name: nextcloud
lifecycle: {}
livenessProbe:
  enabled: true
  failureThreshold: 3
  initialDelaySeconds: 10
  periodSeconds: 10
  successThreshold: 1
  timeoutSeconds: 5
mariadb:
  architecture: standalone
  auth:
    database: nextcloud
    password: changeme
    username: nextcloud
  enabled: false
  primary:
    persistence:
      accessMode: ReadWriteOnce
      enabled: false
      size: 8Gi
metrics:
  enabled: false
  https: false
  image:
    pullPolicy: IfNotPresent
    repository: xperimental/nextcloud-exporter
    tag: 0.6.0
  replicaCount: 1
  service:
    annotations:
      prometheus.io/port: '9205'
      prometheus.io/scrape: 'true'
    labels: {}
    type: ClusterIP
  serviceMonitor:
    enabled: false
    interval: 30s
    jobLabel: ''
    labels: {}
    namespace: ''
    scrapeTimeout: ''
  timeout: 5s
  tlsSkipVerify: false
  token: ''
nameOverride: ''
nextcloud:
  configs: {}
  datadir: /var/www/html/data
  defaultConfigs:
    .htaccess: true
    apache-pretty-urls.config.php: true
    apcu.config.php: true
    apps.config.php: true
    autoconfig.php: true
    redis.config.php: true
    smtp.config.php: true
  existingSecret:
    enabled: false
  extraEnv: null
  extraInitContainers: []
  extraSidecarContainers: []
  extraVolumeMounts: null
  extraVolumes: null
  host: storage.cyberstrawberry.net
  mail:
    domain: domain.com
    enabled: false
    fromAddress: user
    smtp:
      authtype: LOGIN
      host: domain.com
      name: user
      password: pass
      port: 465
      secure: ssl
  password: SUPER-SECRET-PASSWORD-FOR-ADMIN
  persistence:
    subPath: null
  phpConfigs: {}
  podSecurityContext: {}
  securityContext: {}
  strategy:
    type: Recreate
  update: 0
  username: Nicole
nginx:
  config:
    default: true
  enabled: false
  image:
    pullPolicy: IfNotPresent
    repository: nginx
    tag: alpine
  resources: {}
  securityContext: {}
nodeSelector: {}
persistence:
  accessMode: ReadWriteOnce
  annotations: {}
  enabled: true
  nextcloudData:
    accessMode: ReadWriteOnce
    annotations: {}
    enabled: true
    size: 800Gi
    subPath: null
  size: 16Gi
phpClientHttpsFix:
  enabled: true
  protocol: https
podAnnotations: {}
postgresql:
  enabled: true
  global:
    postgresql:
      auth:
        database: nextcloud
        password: SUPER-SECRET-PASSWORD-FOR-DB
        username: nextcloud
  primary:
    persistence:
      enabled: true
rbac:
  enabled: false
  serviceaccount:
    annotations: {}
    create: true
    name: nextcloud-serviceaccount
readinessProbe:
  enabled: true
  failureThreshold: 3
  initialDelaySeconds: 10
  periodSeconds: 10
  successThreshold: 1
  timeoutSeconds: 5
redis:
  auth:
    enabled: true
    password: changeme
  enabled: false
replicaCount: 1
resources: {}
securityContext: {}
service:
  loadBalancerIP: nil
  nodePort: nil
  port: 8080
  type: ClusterIP
startupProbe:
  enabled: false
  failureThreshold: 30
  initialDelaySeconds: 30
  periodSeconds: 10
  successThreshold: 1
  timeoutSeconds: 5
tolerations: []
global:
  cattle:
    systemProjectId: p-78f96